@font_size:10px;
@color : #946FD3;
@color_w :white;

:root{
    font-family: 'Raleway', sans-serif;
    font-weight: 400;
}
a {
    text-decoration: none;
}
.top_grid{
    display: grid;
    grid-template-columns: 1fr 5fr 2fr;
    gap: 100px;
}
.menu_flex{
    display: flex;
    flex-direction: row;
    column-gap: 30px;
    align-items: center;
    
}
.r_flex{
    display: flex;
    flex-direction: row;
    column-gap: 30px;
    align-items: center;
}
.my_c-f{
    background-image: url(../img/top.png);
    background-repeat: no-repeat;
    background-position-x: center;
    height: 600px;
    display: flex;
    flex-direction: column;
    color: #FFFFFF;
    justify-content: center;
    flex-wrap: nowrap;
    text-align: justify;
    gap: 5%;
    position: relative;
    animation: header_anime 2s linear;
    -webkit-animation: header_anime 2s linear;
}
.img_title{
    font-weight: 900;
    font-size: @font_size*3.6;
    width: 45%;
}
.img_desc{
    font-size: @font_size*2;
    width: 45%;
    margin: 3% 0;
}
.img_btn{
    font-size: @font_size*1.5; 
    background-color: #946FD3;
    width: 17%;
    text-align: center;
    padding: 13px 0;
    border-radius: 30px;
    text-decoration: none;
    color: white;
}
.a_menu{
    color: #354657;
}
.a_menu:hover{
    color: #354657; 
}
.a_menu:visited{
    color: #354657;
}
.a_menu:active{
    color: #354657;
}
.a_btn{
    color: white;
}
.a_btn:hover{
    color: white; 
}
.a_btn:visited{
    color: white;
}
.a_btn:active{
    color: white;
}
.c-oil{
    display: grid;
    grid-template-columns: 1fr 1fr;
    color: #354657;
    gap: 10%;
    .oil_desc{
        display: flex;
        flex-direction: column;
        align-content: flex-start;
    }
    .oil_desc_title{
        font-size: @font_size*3.6;
        font-weight: 700;
    }
    .oil_desc_desc{
        margin: 3% 0;
    }
}
.oil_desc_btn{
    font-size: @font_size*1.5; 
    background-color: #946FD3;
    width: 33%;
    text-align: center;
    padding: 13px 0;
    border-radius: 30px;
    text-decoration: none;
    color: white;
}
.oil_img{
    box-shadow: 15px 15px 1px 1px #f0e5ff;
    height: 90%;
}
.my_botle{
    background-color: #F0E6FF;
    height: 269px;
}
.botle_img1{
    position: relative;
    left: 43%;
}
.botle_img2{
    position: relative;
    top: -12%;
    left: 22%;
}
.botle_txt{
    padding-left: 12%;
}
.botle_flex{
    display: flex;
    flex-direction: column;
    align-content: flex-start;
}
.botle_title{
    font-size: @font_size*2;
    font-weight: 700;
    color: #946FD3;
    margin-top: 5%;
}
.botle_desc{
    font-size: @font_size*3.8;
    font-weight: 700;
}
.botle_btn{
    width: 31%;
    padding: 2% 0;
    border-radius: 50px;
    background-color: #946FD3;
    color: white;
    margin-top: 3%;
}
.materials{
    color: #354657;
    font-size: @font_size*3.6;
    text-align: center;
    margin-top: 5%;
    margin-bottom: 4%;
}
.my_card {
    border: none;
    color: #354657;
    font-family: 'Raleway', sans-serif;
    font-weight: 400;
    .my_btn{
        background-color: @color_w;
        color: @color;
        border: 2px @color solid;
        border-radius: 50px;
        width: 50%;
        padding: 1rem 0;
    }
    .my_title{
        font-weight: 700;
    }
    .my_body{
        padding-left:  0;
        padding-right: 0;
    }
}
.my_card:hover{
    background-color: #946FD3;
    .my_btn{
        background-color: @color;
        color: @color_w;
        border: 2px @color_w solid;
    }
    cursor: pointer;
}
.bottom_grid{
    display: grid;
    grid-template-columns: 1fr 5fr 2fr;
    gap: 50px;
    margin-top: 50px;
    border-top: #E2E2E2 1px solid;
}
@keyframes header_anime{
    from {left: -100%;}
    50%{
        left: -50%;
    }
    to{
        left: 0%;
    }
}

